Name:           python-cma
Version:        1.1.06
Release:        1%{?dist}
Summary:        Covariance Matrix Adaptation Evolution Strategy numerical optimizer

License:        BSD
URL:            https://www.lri.fr/~hansen/cmaes_inmatlab.html#python
Source0:        https://pypi.python.org/packages/source/c/cma/cma-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  numpy

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-numpy

%global _description \
A stochastic numerical optimization algorithm for difficult \
(non-convex, ill-conditioned, multi-modal, rugged, noisy) optimization \
problems in continuous search spaces, implemented in Python.

%description %_description

%package -n     python2-cma
Summary:        %{summary}
%{?python_provide:%python_provide python2-cma}

Requires:       numpy
Requires:       python2-matplotlib

%description -n python2-cma %_description

%package -n     python3-cma
Summary:        %{summary}
%{?python_provide:%python_provide python3-cma}

Requires:       python3-numpy
Requires:       python3-matplotlib

%description -n python3-cma %_description

%prep
%autosetup -n cma-%{version}
# Remove bundled egg-info
rm -rf cma.egg-info
sed -i '1{\@/usr/bin/env@d}' cma.py

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-cma
%doc README.txt

%{python2_sitelib}/cma.py*
%{python2_sitelib}/cma-*.egg-info

%files -n python3-cma
%doc README.txt
%dir %{python3_sitelib}/__pycache__/
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/cma.py
%{python3_sitelib}/cma-*.egg-info

%changelog
* Thu Mar 31 2016 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1.06-1
- Initial package using pyp2rpm-2.0.0
